still getting /bin/sh: can't access tty error

Bug #99757 reported by wpshooter on 2007-04-01
8
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned

Bug Description

Upon downloading and burning the 03-22-2007 32bit Desktop version of Feisty 7.04 beta, and after having completely WIPED my hard drive (a Seagate SCSI) clean with KILLDISK software and then took out the Killdisk CD and replaced it with the Feisty 7.04 beta CD, I then hit the power button so I could cold boot the system, thus making sure that there was neither anything on the drive or in memory.

When I cold booted the machine, I immediately proceeded to check the integrity of the Feisty CD by running the verification functions that is found on the initial Feisty boot screen menu.

And inspite of all of the above (i.e. nothing on the hard drive and nothing in memory), the CD integrity check almost immediately displays the following:

BusyBox V1.1.3 (Debian 1:1.1.3 - 3Ubuntu2) built-in shell (ash)

Enter 'help' for a list of built-in commands

/bin/sh: can't access tty; job control turned off
(initramfs)

After getting the above error message, I hit the alt,ctrl,del key sequence to restart the computer and this time the CD integrity check proceeded as normal and came back with ZERO sumcheck errors.

Can you please tell me and the MANY other users on the forums that are have this same or similar problem with this error what is causing it and then it might be fixed ?

Since we are fairly certain that there was NOTHING on either the hard drive or in memory when the machine was booted, is there a possibility that this is just being caused by an intermittent failure of the CD-rom drive to properly read the Feisty CD & thus we need to consider replacing or repairing the CD-ROM drive ?

Or is it possible that this is being caused by some other intermittent hardware failure ?

Thanks.

jerrylamos (jerrylamos) wrote :

CD Live Xubuntu 20070414 test failed
1gHz Celeron, 384mb motherboard

busybox
/bin/sh: can't access tty; job control turned off.
(initramfs) [ 70.183273] ata1.01: exception Emach 0x0 SAct 0x0 SErr 0x0 Action 0x0 frozen

I can't get by this to continue boot. Repeats every time. (If it can't access tty, then why is it successful in sending a message to tty?) help works, and a few of the other commands. continue does not.

Xubuntu Edgy & Dapper run just fine CD Live and Dapper installed on this same hardware.

Repeats every time, on 20070409, 20070410 and 20070414.

What information would be useful and how do I obtain it?

Cheers, Jerry

Saurabh (saurabhdhingra) wrote :

Trying to install Ubuntu 7.04 from ship it CDs on my brand new Dell Latitude D630 and getting stuck at the message:

BusyBox V1.1.3 (Debian 1:1.1.3 - 3Ubuntu2) built-in shell (ash)

Enter 'help' for a list of built-in commands

/bin/sh: can't access tty; job control turned off
(initramfs)

Any Ideas, what are the reasons?

Thanx
Sd

jerrylamos (jerrylamos) wrote :

There are a couple fixes which work for some people. See my post "Workarounds" in "Installation & Upgrades" in ubuntuforums.org.
The first one to try is when you boot the CD Live disk and get boot options, push F6
At the end of the line after quiet splash, add: break=top which should look like:
.........quiet splash break=top
What is supposed to happen is that the boot will stop with a command line before getting the "can't access tty". Then enter
modprobe piix
presuming that works, then enter
exit

I have no idea what this actually does, except some people report that it works.

BTW, Gutsy Alpha 7.10 also gets "can't access tty" on one of our computers, and the modprobe fix doesn't work for 7.10.
Cheers, Jerry

Pedro Villavicencio (pedro) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.Are you still getting this issue with Gutsy tribe 5?

Haven't tested Gusty Tribe yet no time to try Beta, will upgrade to the
stable version sometime in November, will write back then.
For Fiesty I could find help in Ubuntuforms, it works fine now thanx , still
there are few issues, think they are Santa Rosa related and must have been
fixed in Gusty.
Thanx
sd

On 8/31/07, Pedro Villavicencio <email address hidden> wrote:
>
> Thank you for taking the time to report this bug and helping to make
> Ubuntu better.Are you still getting this issue with Gutsy tribe 5?
>
> ** Changed in: ubuntu
> Status: New => Incomplete
>
> --
> still getting /bin/sh: can't access tty error
> https://bugs.launchpad.net/bugs/99757
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Pedro Villavicencio (pedro) wrote :

Ok, thanks closing it for now then, feel free to re open it if you get the issue with Gutsy. thanks.

Yonatan Amir (yonatan-amir) wrote :

Hiya,
Getting this error message, followed by repeating pairs of error messages every few seconds:
ata1.01 exception Emask0x0 Sact 0x0 SErr 0x0 action 0x2 Frozen
ata1.01 cmd c8/00:08:00:00:00/00:00:00:00:00/f0 tag 0 cdS 0x0 data 4096 in

Ubuntu and Xubuntu Gutsy 7.10 Beta Live CD
Hardware:
Pentium 3 1GHz
Asus TUSI-M motherboard (SiS 630 chipset) BIOS version 1018.5
Primary IDE: master WD102AA, slave WD300AB (Western Digital hard-drives)
Secondary IDE: master HL-DT-ST GCE8525B (LG CD-RW), slave WD100AA

Yonatan Amir (yonatan-amir) wrote :

The error does not occur when the primary slave is disconnected.

Yonatan Amir (yonatan-amir) wrote :

I replaced the primary slave with another drive and the system boots properly. However, I ran the Western Digital diagnostics on the drive with which the system wouldn't boot, and it found nothing wrong with it.

Cristian (cristianrosa) wrote :

I am having the same error with 7.10 Beta Desktop CD (amd64 version)
When booting from the Desktop CD, after i choose the first option in the boot menu,
it shows the ubuntu logo and the loading bar, and after a while it would show
the famous busybox console with "can't access tty" message.
I tried the solutions proposed for 7.04 (loading piix) but none of them worked.
This is my hardware configuration:

Motherboard: Asus A8V Deluxe (Chipset: VIA K8T800Pro / VIA VT8237)
Amd64 3000+ (S939)
sda (sata): WDC WD800JD-00JNC0, 05.01C05, max UDMA/133
hda: LITE-ON DVDRW SHW-160P6S
hdb: SONY CD-ROM CDU5215
Video: ATI Radeon 9600

If you need more information just ask ;)
Regards!
    Cristian

wpshooter (joverstreet1) wrote :

Christian:

 It sure would be nice if someone could finally find the root cause for
this problem/error.

 I have gotten it in the past mostly on an MSI motherboard system which
was using a Seagate SCSI hard drive. But the problem was intermittent
with NO consistency.

 I just installed Gutsy live CD daily build on an ASUS system this
morning that is using a Seagate SATA drive and an ATI Radeon 9600 video
card and I had NO problems. Seems to be running great so far.

 Good luck.

On Sat, 2007-10-06 at 03:52 +0000, Cristian wrote:
> I am having the same error with 7.10 Beta Desktop CD (amd64 version)
> When booting from the Desktop CD, after i choose the first option in the boot menu,
> it shows the ubuntu logo and the loading bar, and after a while it would show
> the famous busybox console with "can't access tty" message.
> I tried the solutions proposed for 7.04 (loading piix) but none of them worked.
> This is my hardware configuration:
>
> Motherboard: Asus A8V Deluxe (Chipset: VIA K8T800Pro / VIA VT8237)
> Amd64 3000+ (S939)
> sda (sata): WDC WD800JD-00JNC0, 05.01C05, max UDMA/133
> hda: LITE-ON DVDRW SHW-160P6S
> hdb: SONY CD-ROM CDU5215
> Video: ATI Radeon 9600
>
> If you need more information just ask ;)
> Regards!
> Cristian
>

wpshooter (joverstreet1) wrote :

Christian:

 I just noticed that your ASUS system apparently is a VIA chipset. If
memory serves me correct, my MSI motherboard has a VIA chipset.

On Sat, 2007-10-06 at 03:52 +0000, Cristian wrote:
> I am having the same error with 7.10 Beta Desktop CD (amd64 version)
> When booting from the Desktop CD, after i choose the first option in the boot menu,
> it shows the ubuntu logo and the loading bar, and after a while it would show
> the famous busybox console with "can't access tty" message.
> I tried the solutions proposed for 7.04 (loading piix) but none of them worked.
> This is my hardware configuration:
>
> Motherboard: Asus A8V Deluxe (Chipset: VIA K8T800Pro / VIA VT8237)
> Amd64 3000+ (S939)
> sda (sata): WDC WD800JD-00JNC0, 05.01C05, max UDMA/133
> hda: LITE-ON DVDRW SHW-160P6S
> hdb: SONY CD-ROM CDU5215
> Video: ATI Radeon 9600
>
> If you need more information just ask ;)
> Regards!
> Cristian
>

Cristian (cristianrosa) wrote :

Thanks for the reply!,
Yes, it has the VIA K8T800Pro chipset.
I was wondering where did you downloaded the daily build of the 7.10 live cd??
i would like to try it in my system.

Cristian

----- Original Message ----
From: wpshooter <email address hidden>
To: <email address hidden>
Sent: Saturday, October 6, 2007 1:04:33 PM
Subject: Re: [Bug 99757] Re: still getting /bin/sh: can't access tty error

Christian:

    I just noticed that your ASUS system apparently is a VIA chipset. If
memory serves me correct, my MSI motherboard has a VIA chipset.

On Sat, 2007-10-06 at 03:52 +0000, Cristian wrote:
> I am having the same error with 7.10 Beta Desktop CD (amd64 version)
> When booting from the Desktop CD, after i choose the first option in the boot menu,
> it shows the ubuntu logo and the loading bar, and after a while it would show
> the famous busybox console with "can't access tty" message.
> I tried the solutions proposed for 7.04 (loading piix) but none of them worked.
> This is my hardware configuration:
>
> Motherboard: Asus A8V Deluxe (Chipset: VIA K8T800Pro / VIA VT8237)
> Amd64 3000+ (S939)
> sda (sata): WDC WD800JD-00JNC0, 05.01C05, max UDMA/133
> hda: LITE-ON DVDRW SHW-160P6S
> hdb: SONY CD-ROM CDU5215
> Video: ATI Radeon 9600
>
> If you need more information just ask ;)
> Regards!
> Cristian
>

--
still getting /bin/sh: can't access tty error
https://bugs.launchpad.net/bugs/99757
You received this bug notification because you are a direct subscriber
of the bug.

____________________________________________________________________________________
Need a vacation? Get great deals
to amazing places on Yahoo! Travel.
http://travel.yahoo.com/

wpshooter (joverstreet1) wrote :

Just do a google of Gutsy daily live, will take you right to it.

On Sat, 2007-10-06 at 17:07 +0000, Cristian wrote:
> Thanks for the reply!,
> Yes, it has the VIA K8T800Pro chipset.
> I was wondering where did you downloaded the daily build of the 7.10 live cd??
> i would like to try it in my system.
>
> Cristian
>
> ----- Original Message ----
> From: wpshooter <email address hidden>
> To: <email address hidden>
> Sent: Saturday, October 6, 2007 1:04:33 PM
> Subject: Re: [Bug 99757] Re: still getting /bin/sh: can't access tty error
>
> Christian:
>
> I just noticed that your ASUS system apparently is a VIA chipset. If
> memory serves me correct, my MSI motherboard has a VIA chipset.
>
> On Sat, 2007-10-06 at 03:52 +0000, Cristian wrote:
> > I am having the same error with 7.10 Beta Desktop CD (amd64 version)
> > When booting from the Desktop CD, after i choose the first option in the boot menu,
> > it shows the ubuntu logo and the loading bar, and after a while it would show
> > the famous busybox console with "can't access tty" message.
> > I tried the solutions proposed for 7.04 (loading piix) but none of them worked.
> > This is my hardware configuration:
> >
> > Motherboard: Asus A8V Deluxe (Chipset: VIA K8T800Pro / VIA VT8237)
> > Amd64 3000+ (S939)
> > sda (sata): WDC WD800JD-00JNC0, 05.01C05, max UDMA/133
> > hda: LITE-ON DVDRW SHW-160P6S
> > hdb: SONY CD-ROM CDU5215
> > Video: ATI Radeon 9600
> >
> > If you need more information just ask ;)
> > Regards!
> > Cristian
> >
>
> --
> still getting /bin/sh: can't access tty error
> https://bugs.launchpad.net/bugs/99757
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>
>
>
> ____________________________________________________________________________________
> Need a vacation? Get great deals
> to amazing places on Yahoo! Travel.
> http://travel.yahoo.com/
>

Cristian (cristianrosa) wrote :

I tried the daily build and it worked perfectly, it seems that it was a bug in the
beta version that it's fixed now.
Thanks!
    Cristian

----- Original Message ----
From: wpshooter <email address hidden>
To: <email address hidden>
Sent: Sunday, October 7, 2007 8:38:38 AM
Subject: Re: [Bug 99757] Re: still getting /bin/sh: can't access tty error

Just do a google of Gutsy daily live, will take you right to it.

On Sat, 2007-10-06 at 17:07 +0000, Cristian wrote:
> Thanks for the reply!,
> Yes, it has the VIA K8T800Pro chipset.
> I was wondering where did you downloaded the daily build of the 7.10 live cd??
> i would like to try it in my system.
>
> Cristian
>
> ----- Original Message ----
> From: wpshooter <email address hidden>
> To: <email address hidden>
> Sent: Saturday, October 6, 2007 1:04:33 PM
> Subject: Re: [Bug 99757] Re: still getting /bin/sh: can't access tty error
>
> Christian:
>
> I just noticed that your ASUS system apparently is a VIA chipset. If
> memory serves me correct, my MSI motherboard has a VIA chipset.
>
> On Sat, 2007-10-06 at 03:52 +0000, Cristian wrote:
> > I am having the same error with 7.10 Beta Desktop CD (amd64 version)
> > When booting from the Desktop CD, after i choose the first option in the boot menu,
> > it shows the ubuntu logo and the loading bar, and after a while it would show
> > the famous busybox console with "can't access tty" message.
> > I tried the solutions proposed for 7.04 (loading piix) but none of them worked.
> > This is my hardware configuration:
> >
> > Motherboard: Asus A8V Deluxe (Chipset: VIA K8T800Pro / VIA VT8237)
> > Amd64 3000+ (S939)
> > sda (sata): WDC WD800JD-00JNC0, 05.01C05, max UDMA/133
> > hda: LITE-ON DVDRW SHW-160P6S
> > hdb: SONY CD-ROM CDU5215
> > Video: ATI Radeon 9600
> >
> > If you need more information just ask ;)
> > Regards!
> > Cristian
> >
>
> --
> still getting /bin/sh: can't access tty error
> https://bugs.launchpad.net/bugs/99757
> You received this bug notification because you are a direct subscriber
> of the bug.
>
>
>
>
> ____________________________________________________________________________________
> Need a vacation? Get great deals
> to amazing places on Yahoo! Travel.
> http://travel.yahoo.com/
>

--
still getting /bin/sh: can't access tty error
https://bugs.launchpad.net/bugs/99757
You received this bug notification because you are a direct subscriber
of the bug.

      ____________________________________________________________________________________
Catch up on fall's hot new shows on Yahoo! TV. Watch previews, get listings, and more!
http://tv.yahoo.com/collections/3658

Hi,

I'm using Gutsy Beta with all updates/upgrades till now and I still can't switch to console with CRTL+ALT+F1.
I mean, it switches, but I am getting a black screen with a blinking cursor on the top-left of the screen and nothing further happenes.
In the most cases I can switch back to X with ALT+F7, but not always and I have to reboot with CRTL+ALT+DELETE, so that I can work again, it is really annoying.
And yes, I do have getty processes on the tty1-3, I have disabled the rest three back under Feisty, because I don't need them.

I habe tried reinstalling the "console-setup", "console-tools" packages, as someone in ubuntuforums.org had suggested, but it didn't help too.

I really don't know, what to do or how can I help you, because I don't know what information to provide.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers